// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from novatel_gps_msgs:msg/ClockSteering.idl
// generated code does not contain a copyright notice

#include "novatel_gps_msgs/msg/detail/clock_steering__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_novatel_gps_msgs
const rosidl_type_hash_t *
novatel_gps_msgs__msg__ClockSteering__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x09, 0x2e, 0x6a, 0x2b, 0x4c, 0x06, 0x63, 0xd6,
      0xee, 0xa7, 0xb0, 0xb3, 0x91, 0x08, 0xcd, 0x04,
      0xfe, 0x51, 0x64, 0xff, 0x79, 0x86, 0xd2, 0x83,
      0x23, 0xb7, 0x81, 0x9a, 0x30, 0x32, 0xfd, 0xaa,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char novatel_gps_msgs__msg__ClockSteering__TYPE_NAME[] = "novatel_gps_msgs/msg/ClockSteering";

// Define type names, field names, and default values
static char novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__source[] = "source";
static char novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__steering_state[] = "steering_state";
static char novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__period[] = "period";
static char novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__pulse_width[] = "pulse_width";
static char novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__bandwidth[] = "bandwidth";
static char novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__slope[] = "slope";
static char novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__offset[] = "offset";
static char novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__drift_rate[] = "drift_rate";

static rosidl_runtime_c__type_description__Field novatel_gps_msgs__msg__ClockSteering__FIELDS[] = {
  {
    {novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__source, 6, 6},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__steering_state, 14, 14},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_STRING,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__period, 6, 6},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_UINT32,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__pulse_width, 11, 11},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_DOUBLE,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__bandwidth, 9, 9},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_DOUBLE,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__slope, 5, 5},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__offset, 6, 6},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_DOUBLE,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {novatel_gps_msgs__msg__ClockSteering__FIELD_NAME__drift_rate, 10, 10},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_DOUBLE,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
novatel_gps_msgs__msg__ClockSteering__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {novatel_gps_msgs__msg__ClockSteering__TYPE_NAME, 34, 34},
      {novatel_gps_msgs__msg__ClockSteering__FIELDS, 8, 8},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# The CLOCKSTEERING log is used to monitor the current state of the clock steering process.\n"
  "\n"
  "int8 INTERNAL_SOURCE=0\n"
  "int8 EXTERNAL_SOURCE=1\n"
  "\n"
  "int8 FIRST_ORDER_STEERING_STATE=0\n"
  "int8 SECOND_ORDER_STEERING_STATE=1\n"
  "int8 CALIBRATE_HIGH_STEERING_STATE=2\n"
  "int8 CALIBRATE_LOW_STEERING_STATE=3\n"
  "int8 CALIBRATE_CENTER_STEERING_STATE=4\n"
  "\n"
  "# Clock source\n"
  "string source\n"
  "\n"
  "# Steering state\n"
  "string steering_state\n"
  "\n"
  "# Period of the FREQUENCYOUT signal used to control the oscillator\n"
  "uint32 period\n"
  "\n"
  "# Current pulse width of the FREQUENCYOUT signal. \n"
  "float64 pulse_width\n"
  "\n"
  "# The current band width of the clock steering tracking loop in Hz.\n"
  "float64 bandwidth\n"
  "\n"
  "# The current clock drift change in m/s/bit for a 1 LSB pulse width. \n"
  "float32 slope\n"
  "\n"
  "# The last valid receiver clock offset computed (m).\n"
  "float64 offset\n"
  "\n"
  "# The last valid receiver clock drift rate received (m/s).\n"
  "float64 drift_rate";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
novatel_gps_msgs__msg__ClockSteering__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {novatel_gps_msgs__msg__ClockSteering__TYPE_NAME, 34, 34},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 865, 865},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
novatel_gps_msgs__msg__ClockSteering__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *novatel_gps_msgs__msg__ClockSteering__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
