// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/Inspva.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__INSPVA__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__INSPVA__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'novatel_msg_header'
#include "novatel_gps_msgs/msg/detail/novatel_message_header__struct.h"
// Member 'status'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/Inspva in the package novatel_gps_msgs.
/**
  * INS Position, Velocity, and Attitude
 */
typedef struct novatel_gps_msgs__msg__Inspva
{
  std_msgs__msg__Header header;
  novatel_gps_msgs__msg__NovatelMessageHeader novatel_msg_header;
  uint32_t week;
  double seconds;
  double latitude;
  double longitude;
  double height;
  double north_velocity;
  double east_velocity;
  double up_velocity;
  double roll;
  double pitch;
  double azimuth;
  rosidl_runtime_c__String status;
} novatel_gps_msgs__msg__Inspva;

// Struct for a sequence of novatel_gps_msgs__msg__Inspva.
typedef struct novatel_gps_msgs__msg__Inspva__Sequence
{
  novatel_gps_msgs__msg__Inspva * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__Inspva__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__INSPVA__STRUCT_H_
