// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/Insstdev.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__INSSTDEV__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__INSSTDEV__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'novatel_msg_header'
#include "novatel_gps_msgs/msg/detail/novatel_message_header__struct.h"
// Member 'extended_solution_status'
#include "novatel_gps_msgs/msg/detail/novatel_extended_solution_status__struct.h"

/// Struct defined in msg/Insstdev in the package novatel_gps_msgs.
/**
  * INS PVA standard deviations
 */
typedef struct novatel_gps_msgs__msg__Insstdev
{
  std_msgs__msg__Header header;
  novatel_gps_msgs__msg__NovatelMessageHeader novatel_msg_header;
  float latitude_dev;
  float longitude_dev;
  float height_dev;
  float north_velocity_dev;
  float east_velocity_dev;
  float up_velocity_dev;
  float roll_dev;
  float pitch_dev;
  float azimuth_dev;
  novatel_gps_msgs__msg__NovatelExtendedSolutionStatus extended_solution_status;
  uint16_t time_since_update;
} novatel_gps_msgs__msg__Insstdev;

// Struct for a sequence of novatel_gps_msgs__msg__Insstdev.
typedef struct novatel_gps_msgs__msg__Insstdev__Sequence
{
  novatel_gps_msgs__msg__Insstdev * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__Insstdev__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__INSSTDEV__STRUCT_H_
