// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/NovatelCorrectedImuData.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_CORRECTED_IMU_DATA__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_CORRECTED_IMU_DATA__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'novatel_msg_header'
#include "novatel_gps_msgs/msg/detail/novatel_message_header__struct.h"

/// Struct defined in msg/NovatelCorrectedImuData in the package novatel_gps_msgs.
/**
  * Parsed corrected IMU data from Novatel OEM6 receiver
 */
typedef struct novatel_gps_msgs__msg__NovatelCorrectedImuData
{
  std_msgs__msg__Header header;
  novatel_gps_msgs__msg__NovatelMessageHeader novatel_msg_header;
  uint32_t gps_week_num;
  double gps_seconds;
  /// All measurements in this message are instantaneous values;
  /// attitude rate is in radians
  double pitch_rate;
  double roll_rate;
  double yaw_rate;
  /// accelerations are in m/s
  double lateral_acceleration;
  double longitudinal_acceleration;
  double vertical_acceleration;
} novatel_gps_msgs__msg__NovatelCorrectedImuData;

// Struct for a sequence of novatel_gps_msgs__msg__NovatelCorrectedImuData.
typedef struct novatel_gps_msgs__msg__NovatelCorrectedImuData__Sequence
{
  novatel_gps_msgs__msg__NovatelCorrectedImuData * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__NovatelCorrectedImuData__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_CORRECTED_IMU_DATA__STRUCT_H_
