// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/NovatelExtendedSolutionStatus.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_EXTENDED_SOLUTION_STATUS__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_EXTENDED_SOLUTION_STATUS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'psuedorange_iono_correction'
#include "rosidl_runtime_c/string.h"

/// Struct defined in msg/NovatelExtendedSolutionStatus in the package novatel_gps_msgs.
/**
  * Bit    Mask      Description
  *  0     0x01      Advance RTK verified (0 = not verified, 1 = verified)
  * 1-3    0x0E      Pseudorange Ionosphere Correction
  *                    0 = unknown
  *                    1 = Klobuchar Broadcast
  *                    2 = SBAS Broadcast
  *                    3 = Multi-frequency Computed
  *                    4 = PSRDiff Correction
  *                    5 = NovaTel Blended Ionosphere Value
  * 4-7  0xF0        <Reserved>
 */
typedef struct novatel_gps_msgs__msg__NovatelExtendedSolutionStatus
{
  uint32_t original_mask;
  bool advance_rtk_verified;
  rosidl_runtime_c__String psuedorange_iono_correction;
} novatel_gps_msgs__msg__NovatelExtendedSolutionStatus;

// Struct for a sequence of novatel_gps_msgs__msg__NovatelExtendedSolutionStatus.
typedef struct novatel_gps_msgs__msg__NovatelExtendedSolutionStatus__Sequence
{
  novatel_gps_msgs__msg__NovatelExtendedSolutionStatus * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__NovatelExtendedSolutionStatus__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_EXTENDED_SOLUTION_STATUS__STRUCT_H_
