// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/NovatelHeading2.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_HEADING2__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_HEADING2__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

/// Constant 'SOURCE_PRIMARY_ANTENNA'.
enum
{
  novatel_gps_msgs__msg__NovatelHeading2__SOURCE_PRIMARY_ANTENNA = 0
};

/// Constant 'SOURCE_SECONDARY_ANTENNA'.
enum
{
  novatel_gps_msgs__msg__NovatelHeading2__SOURCE_SECONDARY_ANTENNA = 1
};

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'novatel_msg_header'
#include "novatel_gps_msgs/msg/detail/novatel_message_header__struct.h"
// Member 'solution_status'
// Member 'position_type'
// Member 'rover_station_id'
// Member 'master_station_id'
#include "rosidl_runtime_c/string.h"
// Member 'extended_solution_status'
#include "novatel_gps_msgs/msg/detail/novatel_extended_solution_status__struct.h"
// Member 'signal_mask'
#include "novatel_gps_msgs/msg/detail/novatel_signal_mask__struct.h"

/// Struct defined in msg/NovatelHeading2 in the package novatel_gps_msgs.
/**
  * Parsed Heading East of North from Novatel receiver. Only ALIGN capable recievers can publish this
 */
typedef struct novatel_gps_msgs__msg__NovatelHeading2
{
  std_msgs__msg__Header header;
  novatel_gps_msgs__msg__NovatelMessageHeader novatel_msg_header;
  /// Solution Status
  rosidl_runtime_c__String solution_status;
  rosidl_runtime_c__String position_type;
  /// Baseline length (m)
  float baseline_length;
  /// Heading in degrees [0,360)
  float heading;
  /// Pitch in degrees +- 90
  float pitch;
  /// Orientation Standard Deviations (deg)
  float heading_sigma;
  float pitch_sigma;
  /// Station ids
  rosidl_runtime_c__String rover_station_id;
  rosidl_runtime_c__String master_station_id;
  /// Satellite Usage
  uint8_t num_satellites_tracked;
  uint8_t num_satellites_used_in_solution;
  uint8_t num_satellites_above_elevation_mask_angle;
  uint8_t num_satellites_above_elevation_mask_angle_l2;
  /// Enum for solution source
  uint8_t solution_source;
  /// Extended Solution Status
  novatel_gps_msgs__msg__NovatelExtendedSolutionStatus extended_solution_status;
  /// Signal Masks
  novatel_gps_msgs__msg__NovatelSignalMask signal_mask;
} novatel_gps_msgs__msg__NovatelHeading2;

// Struct for a sequence of novatel_gps_msgs__msg__NovatelHeading2.
typedef struct novatel_gps_msgs__msg__NovatelHeading2__Sequence
{
  novatel_gps_msgs__msg__NovatelHeading2 * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__NovatelHeading2__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_HEADING2__STRUCT_H_
