// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/NovatelPsrdop2.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_PSRDOP2__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_PSRDOP2__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'novatel_msg_header'
#include "novatel_gps_msgs/msg/detail/novatel_message_header__struct.h"
// Member 'systems'
#include "novatel_gps_msgs/msg/detail/novatel_psrdop2_system__struct.h"

/// Struct defined in msg/NovatelPsrdop2 in the package novatel_gps_msgs.
/**
  * PSR Dilution of Precision (DOP) values
 */
typedef struct novatel_gps_msgs__msg__NovatelPsrdop2
{
  std_msgs__msg__Header header;
  novatel_gps_msgs__msg__NovatelMessageHeader novatel_msg_header;
  /// Geometry dilution of precision
  float gdop;
  /// Position dilution of precision
  float pdop;
  /// Horizontal dilution of precision
  float hdop;
  /// Vertical dilution of precision
  float vdop;
  /// Time dilution of precision for each GNSS system
  novatel_gps_msgs__msg__NovatelPsrdop2System__Sequence systems;
} novatel_gps_msgs__msg__NovatelPsrdop2;

// Struct for a sequence of novatel_gps_msgs__msg__NovatelPsrdop2.
typedef struct novatel_gps_msgs__msg__NovatelPsrdop2__Sequence
{
  novatel_gps_msgs__msg__NovatelPsrdop2 * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__NovatelPsrdop2__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_PSRDOP2__STRUCT_H_
