// generated from rosidl_generator_cpp/resource/idl__traits.hpp.em
// with input from novatel_gps_msgs:msg/NovatelRxStatus.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_RX_STATUS__TRAITS_HPP_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_RX_STATUS__TRAITS_HPP_

#include <stdint.h>

#include <sstream>
#include <string>
#include <type_traits>

#include "novatel_gps_msgs/msg/detail/novatel_rx_status__struct.hpp"
#include "rosidl_runtime_cpp/traits.hpp"

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__traits.hpp"
// Member 'novatel_msg_header'
#include "novatel_gps_msgs/msg/detail/novatel_message_header__traits.hpp"

namespace novatel_gps_msgs
{

namespace msg
{

inline void to_flow_style_yaml(
  const NovatelRxStatus & msg,
  std::ostream & out)
{
  out << "{";
  // member: header
  {
    out << "header: ";
    to_flow_style_yaml(msg.header, out);
    out << ", ";
  }

  // member: novatel_msg_header
  {
    out << "novatel_msg_header: ";
    to_flow_style_yaml(msg.novatel_msg_header, out);
    out << ", ";
  }

  // member: error
  {
    out << "error: ";
    rosidl_generator_traits::value_to_yaml(msg.error, out);
    out << ", ";
  }

  // member: rxstat
  {
    out << "rxstat: ";
    rosidl_generator_traits::value_to_yaml(msg.rxstat, out);
    out << ", ";
  }

  // member: aux1stat
  {
    out << "aux1stat: ";
    rosidl_generator_traits::value_to_yaml(msg.aux1stat, out);
    out << ", ";
  }

  // member: aux2stat
  {
    out << "aux2stat: ";
    rosidl_generator_traits::value_to_yaml(msg.aux2stat, out);
    out << ", ";
  }

  // member: aux3stat
  {
    out << "aux3stat: ";
    rosidl_generator_traits::value_to_yaml(msg.aux3stat, out);
    out << ", ";
  }

  // member: aux4stat
  {
    out << "aux4stat: ";
    rosidl_generator_traits::value_to_yaml(msg.aux4stat, out);
  }
  out << "}";
}  // NOLINT(readability/fn_size)

inline void to_block_style_yaml(
  const NovatelRxStatus & msg,
  std::ostream & out, size_t indentation = 0)
{
  // member: header
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "header:\n";
    to_block_style_yaml(msg.header, out, indentation + 2);
  }

  // member: novatel_msg_header
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "novatel_msg_header:\n";
    to_block_style_yaml(msg.novatel_msg_header, out, indentation + 2);
  }

  // member: error
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "error: ";
    rosidl_generator_traits::value_to_yaml(msg.error, out);
    out << "\n";
  }

  // member: rxstat
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "rxstat: ";
    rosidl_generator_traits::value_to_yaml(msg.rxstat, out);
    out << "\n";
  }

  // member: aux1stat
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "aux1stat: ";
    rosidl_generator_traits::value_to_yaml(msg.aux1stat, out);
    out << "\n";
  }

  // member: aux2stat
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "aux2stat: ";
    rosidl_generator_traits::value_to_yaml(msg.aux2stat, out);
    out << "\n";
  }

  // member: aux3stat
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "aux3stat: ";
    rosidl_generator_traits::value_to_yaml(msg.aux3stat, out);
    out << "\n";
  }

  // member: aux4stat
  {
    if (indentation > 0) {
      out << std::string(indentation, ' ');
    }
    out << "aux4stat: ";
    rosidl_generator_traits::value_to_yaml(msg.aux4stat, out);
    out << "\n";
  }
}  // NOLINT(readability/fn_size)

inline std::string to_yaml(const NovatelRxStatus & msg, bool use_flow_style = false)
{
  std::ostringstream out;
  if (use_flow_style) {
    to_flow_style_yaml(msg, out);
  } else {
    to_block_style_yaml(msg, out);
  }
  return out.str();
}

}  // namespace msg

}  // namespace novatel_gps_msgs

namespace rosidl_generator_traits
{

[[deprecated("use novatel_gps_msgs::msg::to_block_style_yaml() instead")]]
inline void to_yaml(
  const novatel_gps_msgs::msg::NovatelRxStatus & msg,
  std::ostream & out, size_t indentation = 0)
{
  novatel_gps_msgs::msg::to_block_style_yaml(msg, out, indentation);
}

[[deprecated("use novatel_gps_msgs::msg::to_yaml() instead")]]
inline std::string to_yaml(const novatel_gps_msgs::msg::NovatelRxStatus & msg)
{
  return novatel_gps_msgs::msg::to_yaml(msg);
}

template<>
inline const char * data_type<novatel_gps_msgs::msg::NovatelRxStatus>()
{
  return "novatel_gps_msgs::msg::NovatelRxStatus";
}

template<>
inline const char * name<novatel_gps_msgs::msg::NovatelRxStatus>()
{
  return "novatel_gps_msgs/msg/NovatelRxStatus";
}

template<>
struct has_fixed_size<novatel_gps_msgs::msg::NovatelRxStatus>
  : std::integral_constant<bool, has_fixed_size<novatel_gps_msgs::msg::NovatelMessageHeader>::value && has_fixed_size<std_msgs::msg::Header>::value> {};

template<>
struct has_bounded_size<novatel_gps_msgs::msg::NovatelRxStatus>
  : std::integral_constant<bool, has_bounded_size<novatel_gps_msgs::msg::NovatelMessageHeader>::value && has_bounded_size<std_msgs::msg::Header>::value> {};

template<>
struct is_message<novatel_gps_msgs::msg::NovatelRxStatus>
  : std::true_type {};

}  // namespace rosidl_generator_traits

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_RX_STATUS__TRAITS_HPP_
