// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/NovatelSignalMask.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_SIGNAL_MASK__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_SIGNAL_MASK__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

/// Struct defined in msg/NovatelSignalMask in the package novatel_gps_msgs.
/**
  * Bit    Mask      Description
  *  0     0x01      GPS L1 used in Solution
  *  1     0x02      GPS L2 used in Solution
  *  2     0x04      GPS L5 used in Solution
  *  3     0x08      <Reserved>
  *  4     0x10      GLONASS L1 used in Solution
  *  5     0x20      GLONASS L2 used in Solution
  * 6-7  0x40-0x80   <Reserved>
 */
typedef struct novatel_gps_msgs__msg__NovatelSignalMask
{
  uint32_t original_mask;
  bool gps_l1_used_in_solution;
  bool gps_l2_used_in_solution;
  bool gps_l3_used_in_solution;
  bool glonass_l1_used_in_solution;
  bool glonass_l2_used_in_solution;
} novatel_gps_msgs__msg__NovatelSignalMask;

// Struct for a sequence of novatel_gps_msgs__msg__NovatelSignalMask.
typedef struct novatel_gps_msgs__msg__NovatelSignalMask__Sequence
{
  novatel_gps_msgs__msg__NovatelSignalMask * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__NovatelSignalMask__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_SIGNAL_MASK__STRUCT_H_
