// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/NovatelMessageHeader.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_MESSAGE_HEADER__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_MESSAGE_HEADER__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'message_name'
// Member 'port'
// Member 'gps_time_status'
#include "rosidl_runtime_c/string.h"
// Member 'receiver_status'
#include "novatel_gps_msgs/msg/detail/novatel_receiver_status__struct.h"

/// Struct defined in msg/NovatelMessageHeader in the package novatel_gps_msgs.
/**
  * Novatel Message Header
 */
typedef struct novatel_gps_msgs__msg__NovatelMessageHeader
{
  rosidl_runtime_c__String message_name;
  rosidl_runtime_c__String port;
  uint32_t sequence_num;
  float percent_idle_time;
  rosidl_runtime_c__String gps_time_status;
  uint32_t gps_week_num;
  double gps_seconds;
  /// Bit       Mask      Description
  ///  0     0x00000001   Error flag (Bit = 0: No Error, Bit = 1: Error)
  ///  1     0x00000002   Temperature Status (0: Within Spec, 1: Warning)
  ///  2     0x00000004   Voltage Supply Status (0: OK, 1: Warning)
  ///  3     0x00000008   Antenna Power Status (0: Powered, 1: Not Powered)
  ///  4     0x00000010   <Reserved>
  ///  5     0x00000020   Antenna open flag (0: OK, 1: Open)
  ///  6     0x00000040   Antenna shorted flag (0: OK, 1: Shorted)
  ///  7     0x00000080   CPU overload flag
  ///  8     0x00000100   COM1 buffer overrun flag (0: No overrun, 1: Overrun)
  ///  9     0x00000200   COM2 buffer overrun flag (0: No overrun, 1: Overrun)
  ///  10    0x00000400   COM3 buffer overrun flag (0: No overrun, 1: Overrun)
  ///  11    0x00000800   USB buffer overrun flag (0: No overrun, 1: Overrun)
  ///  12    0x00001000   <Reserved>
  ///  13    0x00002000   <Reserved>
  ///  14    0x00004000   <Reserved>
  ///  15    0x00008000   RF1 AGC Status (0: OK, 1: Bad)
  ///  16    0x00010000   <Reserverd>
  ///  17    0x00020000   RF2 AGC status (0: OK, 1: Bad)
  ///  18    0x00040000   Almanac flag/UTC known (0: Valid, 1: Invalid)
  ///  19    0x00080000   Position solution flag (0: Valid, 1: Invalid)
  ///  20    0x00100000   Position fixed flag (0: Not fixed, 1: Fixed)
  ///  21    0x00200000   Clock steering status (0: Enabled, 1: Disabled)
  ///  22    0x00400000   Clock model flag (0: Valid, 1: Invalid)
  ///  23    0x00800000   OEMV external oscillator flag (0: Disabled, 1: Enabled)
  ///  24    0x01000000   Software resource (0: OK, 1: Warning)
  ///  25    0x02000000   <Reserved>
  ///  26    0x04000000   <Reserved>
  ///  27    0x08000000   <Reserved>
  ///  28    0x10000000   <Reserved>
  ///  29    0x20000000   Auxiliary 3 status event flag (0: No event, 1: Event)
  ///  30    0x40000000   Auxiliary 2 status event flag (0: No event, 1: Event)
  ///  31    0x80000000   Auxiliary 1 status event flag (0: No event, 1: Event)
  novatel_gps_msgs__msg__NovatelReceiverStatus receiver_status;
  /// Receiver build number (0-65535)
  uint32_t receiver_software_version;
} novatel_gps_msgs__msg__NovatelMessageHeader;

// Struct for a sequence of novatel_gps_msgs__msg__NovatelMessageHeader.
typedef struct novatel_gps_msgs__msg__NovatelMessageHeader__Sequence
{
  novatel_gps_msgs__msg__NovatelMessageHeader * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__NovatelMessageHeader__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_MESSAGE_HEADER__STRUCT_H_
