// generated from rosidl_generator_c/resource/idl__functions.c.em
// with input from novatel_gps_msgs:msg/NovatelRxStatus.idl
// generated code does not contain a copyright notice
#include "novatel_gps_msgs/msg/detail/novatel_rx_status__functions.h"

#include <assert.h>
#include <stdbool.h>
#include <stdlib.h>
#include <string.h>

#include "rcutils/allocator.h"


// Include directives for member types
// Member `header`
#include "std_msgs/msg/detail/header__functions.h"
// Member `novatel_msg_header`
#include "novatel_gps_msgs/msg/detail/novatel_message_header__functions.h"

bool
novatel_gps_msgs__msg__NovatelRxStatus__init(novatel_gps_msgs__msg__NovatelRxStatus * msg)
{
  if (!msg) {
    return false;
  }
  // header
  if (!std_msgs__msg__Header__init(&msg->header)) {
    novatel_gps_msgs__msg__NovatelRxStatus__fini(msg);
    return false;
  }
  // novatel_msg_header
  if (!novatel_gps_msgs__msg__NovatelMessageHeader__init(&msg->novatel_msg_header)) {
    novatel_gps_msgs__msg__NovatelRxStatus__fini(msg);
    return false;
  }
  // error
  // rxstat
  // aux1stat
  // aux2stat
  // aux3stat
  // aux4stat
  return true;
}

void
novatel_gps_msgs__msg__NovatelRxStatus__fini(novatel_gps_msgs__msg__NovatelRxStatus * msg)
{
  if (!msg) {
    return;
  }
  // header
  std_msgs__msg__Header__fini(&msg->header);
  // novatel_msg_header
  novatel_gps_msgs__msg__NovatelMessageHeader__fini(&msg->novatel_msg_header);
  // error
  // rxstat
  // aux1stat
  // aux2stat
  // aux3stat
  // aux4stat
}

bool
novatel_gps_msgs__msg__NovatelRxStatus__are_equal(const novatel_gps_msgs__msg__NovatelRxStatus * lhs, const novatel_gps_msgs__msg__NovatelRxStatus * rhs)
{
  if (!lhs || !rhs) {
    return false;
  }
  // header
  if (!std_msgs__msg__Header__are_equal(
      &(lhs->header), &(rhs->header)))
  {
    return false;
  }
  // novatel_msg_header
  if (!novatel_gps_msgs__msg__NovatelMessageHeader__are_equal(
      &(lhs->novatel_msg_header), &(rhs->novatel_msg_header)))
  {
    return false;
  }
  // error
  if (lhs->error != rhs->error) {
    return false;
  }
  // rxstat
  if (lhs->rxstat != rhs->rxstat) {
    return false;
  }
  // aux1stat
  if (lhs->aux1stat != rhs->aux1stat) {
    return false;
  }
  // aux2stat
  if (lhs->aux2stat != rhs->aux2stat) {
    return false;
  }
  // aux3stat
  if (lhs->aux3stat != rhs->aux3stat) {
    return false;
  }
  // aux4stat
  if (lhs->aux4stat != rhs->aux4stat) {
    return false;
  }
  return true;
}

bool
novatel_gps_msgs__msg__NovatelRxStatus__copy(
  const novatel_gps_msgs__msg__NovatelRxStatus * input,
  novatel_gps_msgs__msg__NovatelRxStatus * output)
{
  if (!input || !output) {
    return false;
  }
  // header
  if (!std_msgs__msg__Header__copy(
      &(input->header), &(output->header)))
  {
    return false;
  }
  // novatel_msg_header
  if (!novatel_gps_msgs__msg__NovatelMessageHeader__copy(
      &(input->novatel_msg_header), &(output->novatel_msg_header)))
  {
    return false;
  }
  // error
  output->error = input->error;
  // rxstat
  output->rxstat = input->rxstat;
  // aux1stat
  output->aux1stat = input->aux1stat;
  // aux2stat
  output->aux2stat = input->aux2stat;
  // aux3stat
  output->aux3stat = input->aux3stat;
  // aux4stat
  output->aux4stat = input->aux4stat;
  return true;
}

novatel_gps_msgs__msg__NovatelRxStatus *
novatel_gps_msgs__msg__NovatelRxStatus__create()
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  novatel_gps_msgs__msg__NovatelRxStatus * msg = (novatel_gps_msgs__msg__NovatelRxStatus *)allocator.allocate(sizeof(novatel_gps_msgs__msg__NovatelRxStatus), allocator.state);
  if (!msg) {
    return NULL;
  }
  memset(msg, 0, sizeof(novatel_gps_msgs__msg__NovatelRxStatus));
  bool success = novatel_gps_msgs__msg__NovatelRxStatus__init(msg);
  if (!success) {
    allocator.deallocate(msg, allocator.state);
    return NULL;
  }
  return msg;
}

void
novatel_gps_msgs__msg__NovatelRxStatus__destroy(novatel_gps_msgs__msg__NovatelRxStatus * msg)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  if (msg) {
    novatel_gps_msgs__msg__NovatelRxStatus__fini(msg);
  }
  allocator.deallocate(msg, allocator.state);
}


bool
novatel_gps_msgs__msg__NovatelRxStatus__Sequence__init(novatel_gps_msgs__msg__NovatelRxStatus__Sequence * array, size_t size)
{
  if (!array) {
    return false;
  }
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  novatel_gps_msgs__msg__NovatelRxStatus * data = NULL;

  if (size) {
    data = (novatel_gps_msgs__msg__NovatelRxStatus *)allocator.zero_allocate(size, sizeof(novatel_gps_msgs__msg__NovatelRxStatus), allocator.state);
    if (!data) {
      return false;
    }
    // initialize all array elements
    size_t i;
    for (i = 0; i < size; ++i) {
      bool success = novatel_gps_msgs__msg__NovatelRxStatus__init(&data[i]);
      if (!success) {
        break;
      }
    }
    if (i < size) {
      // if initialization failed finalize the already initialized array elements
      for (; i > 0; --i) {
        novatel_gps_msgs__msg__NovatelRxStatus__fini(&data[i - 1]);
      }
      allocator.deallocate(data, allocator.state);
      return false;
    }
  }
  array->data = data;
  array->size = size;
  array->capacity = size;
  return true;
}

void
novatel_gps_msgs__msg__NovatelRxStatus__Sequence__fini(novatel_gps_msgs__msg__NovatelRxStatus__Sequence * array)
{
  if (!array) {
    return;
  }
  rcutils_allocator_t allocator = rcutils_get_default_allocator();

  if (array->data) {
    // ensure that data and capacity values are consistent
    assert(array->capacity > 0);
    // finalize all array elements
    for (size_t i = 0; i < array->capacity; ++i) {
      novatel_gps_msgs__msg__NovatelRxStatus__fini(&array->data[i]);
    }
    allocator.deallocate(array->data, allocator.state);
    array->data = NULL;
    array->size = 0;
    array->capacity = 0;
  } else {
    // ensure that data, size, and capacity values are consistent
    assert(0 == array->size);
    assert(0 == array->capacity);
  }
}

novatel_gps_msgs__msg__NovatelRxStatus__Sequence *
novatel_gps_msgs__msg__NovatelRxStatus__Sequence__create(size_t size)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  novatel_gps_msgs__msg__NovatelRxStatus__Sequence * array = (novatel_gps_msgs__msg__NovatelRxStatus__Sequence *)allocator.allocate(sizeof(novatel_gps_msgs__msg__NovatelRxStatus__Sequence), allocator.state);
  if (!array) {
    return NULL;
  }
  bool success = novatel_gps_msgs__msg__NovatelRxStatus__Sequence__init(array, size);
  if (!success) {
    allocator.deallocate(array, allocator.state);
    return NULL;
  }
  return array;
}

void
novatel_gps_msgs__msg__NovatelRxStatus__Sequence__destroy(novatel_gps_msgs__msg__NovatelRxStatus__Sequence * array)
{
  rcutils_allocator_t allocator = rcutils_get_default_allocator();
  if (array) {
    novatel_gps_msgs__msg__NovatelRxStatus__Sequence__fini(array);
  }
  allocator.deallocate(array, allocator.state);
}

bool
novatel_gps_msgs__msg__NovatelRxStatus__Sequence__are_equal(const novatel_gps_msgs__msg__NovatelRxStatus__Sequence * lhs, const novatel_gps_msgs__msg__NovatelRxStatus__Sequence * rhs)
{
  if (!lhs || !rhs) {
    return false;
  }
  if (lhs->size != rhs->size) {
    return false;
  }
  for (size_t i = 0; i < lhs->size; ++i) {
    if (!novatel_gps_msgs__msg__NovatelRxStatus__are_equal(&(lhs->data[i]), &(rhs->data[i]))) {
      return false;
    }
  }
  return true;
}

bool
novatel_gps_msgs__msg__NovatelRxStatus__Sequence__copy(
  const novatel_gps_msgs__msg__NovatelRxStatus__Sequence * input,
  novatel_gps_msgs__msg__NovatelRxStatus__Sequence * output)
{
  if (!input || !output) {
    return false;
  }
  if (output->capacity < input->size) {
    const size_t allocation_size =
      input->size * sizeof(novatel_gps_msgs__msg__NovatelRxStatus);
    rcutils_allocator_t allocator = rcutils_get_default_allocator();
    novatel_gps_msgs__msg__NovatelRxStatus * data =
      (novatel_gps_msgs__msg__NovatelRxStatus *)allocator.reallocate(
      output->data, allocation_size, allocator.state);
    if (!data) {
      return false;
    }
    // If reallocation succeeded, memory may or may not have been moved
    // to fulfill the allocation request, invalidating output->data.
    output->data = data;
    for (size_t i = output->capacity; i < input->size; ++i) {
      if (!novatel_gps_msgs__msg__NovatelRxStatus__init(&output->data[i])) {
        // If initialization of any new item fails, roll back
        // all previously initialized items. Existing items
        // in output are to be left unmodified.
        for (; i-- > output->capacity; ) {
          novatel_gps_msgs__msg__NovatelRxStatus__fini(&output->data[i]);
        }
        return false;
      }
    }
    output->capacity = input->size;
  }
  output->size = input->size;
  for (size_t i = 0; i < input->size; ++i) {
    if (!novatel_gps_msgs__msg__NovatelRxStatus__copy(
        &(input->data[i]), &(output->data[i])))
    {
      return false;
    }
  }
  return true;
}
