// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/NovatelRxStatus.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_RX_STATUS__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_RX_STATUS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'novatel_msg_header'
#include "novatel_gps_msgs/msg/detail/novatel_message_header__struct.h"

/// Struct defined in msg/NovatelRxStatus in the package novatel_gps_msgs.
/**
  * Based on https://docs.novatel.com/OEM7/Content/Logs/RXSTATUS.htm
 */
typedef struct novatel_gps_msgs__msg__NovatelRxStatus
{
  std_msgs__msg__Header header;
  novatel_gps_msgs__msg__NovatelMessageHeader novatel_msg_header;
  /// for the bit table of the following values see https://docs.novatel.com/OEM7/Content/Logs/RXSTATUS.htm
  uint32_t error;
  uint32_t rxstat;
  uint32_t aux1stat;
  uint32_t aux2stat;
  uint32_t aux3stat;
  uint32_t aux4stat;
} novatel_gps_msgs__msg__NovatelRxStatus;

// Struct for a sequence of novatel_gps_msgs__msg__NovatelRxStatus.
typedef struct novatel_gps_msgs__msg__NovatelRxStatus__Sequence
{
  novatel_gps_msgs__msg__NovatelRxStatus * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__NovatelRxStatus__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_RX_STATUS__STRUCT_H_
