// generated from rosidl_generator_cpp/resource/idl__struct.hpp.em
// with input from novatel_gps_msgs:msg/NovatelRxStatus.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_RX_STATUS__STRUCT_HPP_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_RX_STATUS__STRUCT_HPP_

#include <algorithm>
#include <array>
#include <memory>
#include <string>
#include <vector>

#include "rosidl_runtime_cpp/bounded_vector.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.hpp"
// Member 'novatel_msg_header'
#include "novatel_gps_msgs/msg/detail/novatel_message_header__struct.hpp"

#ifndef _WIN32
# define DEPRECATED__novatel_gps_msgs__msg__NovatelRxStatus __attribute__((deprecated))
#else
# define DEPRECATED__novatel_gps_msgs__msg__NovatelRxStatus __declspec(deprecated)
#endif

namespace novatel_gps_msgs
{

namespace msg
{

// message struct
template<class ContainerAllocator>
struct NovatelRxStatus_
{
  using Type = NovatelRxStatus_<ContainerAllocator>;

  explicit NovatelRxStatus_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : header(_init),
    novatel_msg_header(_init)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->error = 0ul;
      this->rxstat = 0ul;
      this->aux1stat = 0ul;
      this->aux2stat = 0ul;
      this->aux3stat = 0ul;
      this->aux4stat = 0ul;
    }
  }

  explicit NovatelRxStatus_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : header(_alloc, _init),
    novatel_msg_header(_alloc, _init)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      this->error = 0ul;
      this->rxstat = 0ul;
      this->aux1stat = 0ul;
      this->aux2stat = 0ul;
      this->aux3stat = 0ul;
      this->aux4stat = 0ul;
    }
  }

  // field types and members
  using _header_type =
    std_msgs::msg::Header_<ContainerAllocator>;
  _header_type header;
  using _novatel_msg_header_type =
    novatel_gps_msgs::msg::NovatelMessageHeader_<ContainerAllocator>;
  _novatel_msg_header_type novatel_msg_header;
  using _error_type =
    uint32_t;
  _error_type error;
  using _rxstat_type =
    uint32_t;
  _rxstat_type rxstat;
  using _aux1stat_type =
    uint32_t;
  _aux1stat_type aux1stat;
  using _aux2stat_type =
    uint32_t;
  _aux2stat_type aux2stat;
  using _aux3stat_type =
    uint32_t;
  _aux3stat_type aux3stat;
  using _aux4stat_type =
    uint32_t;
  _aux4stat_type aux4stat;

  // setters for named parameter idiom
  Type & set__header(
    const std_msgs::msg::Header_<ContainerAllocator> & _arg)
  {
    this->header = _arg;
    return *this;
  }
  Type & set__novatel_msg_header(
    const novatel_gps_msgs::msg::NovatelMessageHeader_<ContainerAllocator> & _arg)
  {
    this->novatel_msg_header = _arg;
    return *this;
  }
  Type & set__error(
    const uint32_t & _arg)
  {
    this->error = _arg;
    return *this;
  }
  Type & set__rxstat(
    const uint32_t & _arg)
  {
    this->rxstat = _arg;
    return *this;
  }
  Type & set__aux1stat(
    const uint32_t & _arg)
  {
    this->aux1stat = _arg;
    return *this;
  }
  Type & set__aux2stat(
    const uint32_t & _arg)
  {
    this->aux2stat = _arg;
    return *this;
  }
  Type & set__aux3stat(
    const uint32_t & _arg)
  {
    this->aux3stat = _arg;
    return *this;
  }
  Type & set__aux4stat(
    const uint32_t & _arg)
  {
    this->aux4stat = _arg;
    return *this;
  }

  // constant declarations

  // pointer types
  using RawPtr =
    novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator> *;
  using ConstRawPtr =
    const novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__novatel_gps_msgs__msg__NovatelRxStatus
    std::shared_ptr<novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__novatel_gps_msgs__msg__NovatelRxStatus
    std::shared_ptr<novatel_gps_msgs::msg::NovatelRxStatus_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const NovatelRxStatus_ & other) const
  {
    if (this->header != other.header) {
      return false;
    }
    if (this->novatel_msg_header != other.novatel_msg_header) {
      return false;
    }
    if (this->error != other.error) {
      return false;
    }
    if (this->rxstat != other.rxstat) {
      return false;
    }
    if (this->aux1stat != other.aux1stat) {
      return false;
    }
    if (this->aux2stat != other.aux2stat) {
      return false;
    }
    if (this->aux3stat != other.aux3stat) {
      return false;
    }
    if (this->aux4stat != other.aux4stat) {
      return false;
    }
    return true;
  }
  bool operator!=(const NovatelRxStatus_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct NovatelRxStatus_

// alias to use template instance with default allocator
using NovatelRxStatus =
  novatel_gps_msgs::msg::NovatelRxStatus_<std::allocator<void>>;

// constant definitions

}  // namespace msg

}  // namespace novatel_gps_msgs

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_RX_STATUS__STRUCT_HPP_
