// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from novatel_gps_msgs:msg/NovatelUtmPosition.idl
// generated code does not contain a copyright notice

#ifndef NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_UTM_POSITION__STRUCT_H_
#define NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_UTM_POSITION__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'header'
#include "std_msgs/msg/detail/header__struct.h"
// Member 'novatel_msg_header'
#include "novatel_gps_msgs/msg/detail/novatel_message_header__struct.h"
// Member 'solution_status'
// Member 'position_type'
// Member 'lat_zone_letter'
// Member 'datum_id'
// Member 'base_station_id'
#include "rosidl_runtime_c/string.h"
// Member 'extended_solution_status'
#include "novatel_gps_msgs/msg/detail/novatel_extended_solution_status__struct.h"
// Member 'signal_mask'
#include "novatel_gps_msgs/msg/detail/novatel_signal_mask__struct.h"

/// Struct defined in msg/NovatelUtmPosition in the package novatel_gps_msgs.
/**
  * Parsed Best UTM data from Novatel OEM6 receiver
 */
typedef struct novatel_gps_msgs__msg__NovatelUtmPosition
{
  std_msgs__msg__Header header;
  novatel_gps_msgs__msg__NovatelMessageHeader novatel_msg_header;
  rosidl_runtime_c__String solution_status;
  rosidl_runtime_c__String position_type;
  /// Position Data
  uint32_t lon_zone_number;
  rosidl_runtime_c__String lat_zone_letter;
  double northing;
  double easting;
  double height;
  float undulation;
  rosidl_runtime_c__String datum_id;
  /// Accuracy Statistics (units?)
  float northing_sigma;
  float easting_sigma;
  float height_sigma;
  rosidl_runtime_c__String base_station_id;
  float diff_age;
  float solution_age;
  uint8_t num_satellites_tracked;
  uint8_t num_satellites_used_in_solution;
  uint8_t num_gps_and_glonass_l1_used_in_solution;
  uint8_t num_gps_and_glonass_l1_and_l2_used_in_solution;
  novatel_gps_msgs__msg__NovatelExtendedSolutionStatus extended_solution_status;
  novatel_gps_msgs__msg__NovatelSignalMask signal_mask;
} novatel_gps_msgs__msg__NovatelUtmPosition;

// Struct for a sequence of novatel_gps_msgs__msg__NovatelUtmPosition.
typedef struct novatel_gps_msgs__msg__NovatelUtmPosition__Sequence
{
  novatel_gps_msgs__msg__NovatelUtmPosition * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} novatel_gps_msgs__msg__NovatelUtmPosition__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NOVATEL_GPS_MSGS__MSG__DETAIL__NOVATEL_UTM_POSITION__STRUCT_H_
